Show / Hide Table of Contents

# Class Diagnostic

##### Inheritance

System.Object
Diagnostic

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class Diagnostic

### Properties

| Improve this Doc View Source

#### Code

Gets or sets the diagnostic's code (optional).

##### Declaration

    public string Code { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Message

Gets or sets the diagnostic message.

##### Declaration

    public string Message { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Range

##### Declaration

    public Range Range { get; set; }

##### Property Value

Type | Description
--- | ---
Range |

| Improve this Doc View Source

#### Severity

Gets or sets the severity of the diagnostic. If omitted, the client should interpret the severity.

##### Declaration

    public DiagnosticSeverity? Severity { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<DiagnosticSeverity> |